use axum::Json;
use domain::{dto::account::{AuthenticateGooleAccountReq, AuthenticateWithPassword}, vo::account::LoginAccount};
use library::resp::response::{ ResData, ResResult};
use validator::Validate;

pub async fn authenticate_google(
    Json(req): Json<AuthenticateGooleAccountReq>
) -> ResResult<ResData<LoginAccount>> {
    req.validate()?;

    service::account::authenticate_google(req).await
}

pub async fn authenticate_with_password(
    Json(req): Json<AuthenticateWithPassword>
) -> ResResult<ResData<LoginAccount>> {
    req.validate()?;

    service::sys_account::authenticate_with_password(req).await
}